View Issue Details

IDProjectCategoryLast Update
0023238AI War 2[All Projects] Crash/ExceptionMay 31, 2020 9:08 am
ReporterGreatYngAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version2.048 Bugfixes 
Fixed in VersionBeta 2.062 Savegame/Networking Data Compaction 
Summary0023238: Mouseover error
DescriptionI have noticed a few times that when hovering over the alerts in the top right corner that I sometimes seem to get an exception when a new alert is added to the list. So I picked a random save and kept hovering over different alerts, and after fast-forwarding for a bit I quickly managed to get the error. I have attached the relevant entry in the ArcenDebugLog.
TagsNo tags attached.

Activities

GreatYng

May 30, 2020 2:59 pm

reporter  

MouseoverDebugLog.txt (2,790 bytes)
Error trying to handle mouseover: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.Core.GameEntity_Squad.GetStrengthPerSquad () [0x00019] in <96495cf12d244b52bdff6e34a8b5c318>:0 
  at Arcen.AIW2.External.SpecialFaction_Human+PrivatePlanetAttackNotifier+<>c__DisplayClass13_0.<WriteSideContents>b__0 (Arcen.AIW2.Core.GameEntity_Squad entity) [0x00093] in <cd03e35adbf545aa82aec4d4fc519102>:0 
  at Arcen.AIW2.Core.EntityCollection.DoForEntities (Arcen.AIW2.Core.GameEntity_Squad+ProcessorDelegate Processor) [0x00039] in <96495cf12d244b52bdff6e34a8b5c318>:0 
  at Arcen.AIW2.External.SpecialFaction_Human+PrivatePlanetAttackNotifier.WriteSideContents (Arcen.AIW2.Core.PlanetFaction faction) [0x00027] in <cd03e35adbf545aa82aec4d4fc519102>:0 
  at Arcen.AIW2.External.SpecialFaction_Human+PrivatePlanetAttackNotifier.MouseoverHandler () [0x000eb] in <cd03e35adbf545aa82aec4d4fc519102>:0 
  at Arcen.AIW2.Core.NotificationNonSim.HandleMouseover () [0x0000e] in <96495cf12d244b52bdff6e34a8b5c318>:0 
  at Arcen.AIW2.External.Window_NotificationsDisplay+btnNotification.HandleMouseover () [0x00012] in <cd03e35adbf545aa82aec4d4fc519102>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdate_Subclass (System.Single DeltaTime) [0x0019b] in <f32e02f53c514759af8a0a555f98192e>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <f32e02f53c514759af8a0a555f98192e>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <f32e02f53c514759af8a0a555f98192e>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <f32e02f53c514759af8a0a555f98192e>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdate_Subclass (System.Single DeltaTime) [0x00000] in <f32e02f53c514759af8a0a555f98192e>:0 
  at Arcen.Universal.ArcenUI_Element.UpdateFromUI (System.Boolean ShouldDoFullUpdate, System.Single DeltaTime) [0x00000] in <f32e02f53c514759af8a0a555f98192e>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateWindow (System.Single AddedDeltaTime) [0x00000] in <f32e02f53c514759af8a0a555f98192e>:0 
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00000] in <f32e02f53c514759af8a0a555f98192e>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <f32e02f53c514759af8a0a555f98192e>:0 
  at ArcenGameController.Update () [0x00000] in <ab0d680e0f374bfb9d26811ca45e8872>:0 
MouseoverDebugLog.txt (2,790 bytes)

GreatYng

May 30, 2020 7:04 pm

reporter   ~0057149

Update:
I did some testing and I triggered this error fairly reliably, if unpredictably, about 50% of the time (for a very small sample group of about 20 tests) when loading the 'Einde 3' save.
I also discovered a new entry in the ArcenDebugLog that sometimes showed up instead of the other one:
"5/30/2020 11:01:55 PM Hit exception in Mouseover for Astro Trains. debugCode 110 System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.SpecialFaction_Human+PrivateAstroTrainNotifier.MouseoverHandler () [0x00064] in <cd03e35adbf545aa82aec4d4fc519102>:0"

GreatYng

May 30, 2020 7:09 pm

reporter   ~0057150

Forgot the save file. Oops.

Einde 3.save (1,297,297 bytes)

BadgerBadger

May 30, 2020 7:34 pm

manager   ~0057153

Fixed

GreatYng

May 31, 2020 9:08 am

reporter   ~0057156

Thank you.

Issue History

Date Modified Username Field Change
May 30, 2020 2:59 pm GreatYng New Issue
May 30, 2020 2:59 pm GreatYng File Added: MouseoverDebugLog.txt
May 30, 2020 7:04 pm GreatYng Note Added: 0057149
May 30, 2020 7:09 pm GreatYng File Added: Einde 3.save
May 30, 2020 7:09 pm GreatYng Note Added: 0057150
May 30, 2020 7:34 pm BadgerBadger Assigned To => BadgerBadger
May 30, 2020 7:34 pm BadgerBadger Status new => resolved
May 30, 2020 7:34 pm BadgerBadger Resolution open => fixed
May 30, 2020 7:34 pm BadgerBadger Fixed in Version => Beta 2.062 Savegame/Networking Data Compaction
May 30, 2020 7:34 pm BadgerBadger Note Added: 0057153
May 31, 2020 9:08 am GreatYng Note Added: 0057156